Send a notification when a new user registers on community platform
POST
/api/v1/contact
const url = 'https://example.com/api/v1/contact';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"company":"example","country":"example","email":"example","first_name":"example","industry":"example","last_name":"example","message":"example","position":"example","recipient":"example","request_type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/contact \ --header 'Content-Type: application/json' \ --data '{ "company": "example", "country": "example", "email": "example", "first_name": "example", "industry": "example", "last_name": "example", "message": "example", "position": "example", "recipient": "example", "request_type": "example" }'Processes contact form submissions from the community platform and sends notification emails to the product/marketing team
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
company
string
country
string
email
required
string
first_name
required
string
industry
string
last_name
required
string
message
required
string
position
string
recipient
string
request_type
required
string
Examplegenerated
{ "company": "example", "country": "example", "email": "example", "first_name": "example", "industry": "example", "last_name": "example", "message": "example", "position": "example", "recipient": "example", "request_type": "example"}Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
object
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "message": "success", "status": "OK"}